Loading...
Searching...
No Matches
mongocxx::search_index_model Class Reference

`#include <mongocxx/v_noabi/mongocxx/search_index_model.hpp>`

## Description

Used by mongocxx::v_noabi::search_index_view.

## Public Member Functions

| search_index_model (bsoncxx::v_noabi::document::view_or_value definition)
| Initializes a new search_index_model over a mongocxx::v_noabi::collection.
| search_index_model (search_index_model &&other) noexcept
| Move constructs a search_index_model.
| search_index_model (search_index_model const &other)
| Copy constructs a search_index_model.
| search_index_model (v1::search_indexes::model opts)
| Construct with the mongocxx::v1 equivalent.
| ~search_index_model ()
| Destroys a search_index_model.
bsoncxx::v_noabi::document::view | definition () const
| Retrieves definition of a search_index_model.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > | name () const
| Retrieves name of a search_index_model.
| operator v1::search_indexes::model () const
| Convert to the mongocxx::v1 equivalent.
search_index_model & | operator= (search_index_model &&other) noexcept
| Move assigns a search_index_model.
search_index_model & | operator= (search_index_model const &other)
| Copy assigns a search_index_model.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > | type () const
| Retrieves type of a search_index_model.
search_index_model & | type (bsoncxx::v_noabi::string::view_or_value type)
| Sets type of a search_index_model.

## Constructor & Destructor Documentation

## search_index_model() [1/4]

mongocxx::v_noabi::search_index_model::search_index_model | ( | bsoncxx::v_noabi::document::view_or_value | definition | ) |

Initializes a new search_index_model over a mongocxx::v_noabi::collection.

## search_index_model() [2/4]

mongocxx::v_noabi::search_index_model::search_index_model | ( | v1::search_indexes::model | opts | ) |

Construct with the mongocxx::v1 equivalent.

## search_index_model() [3/4]

mongocxx::v_noabi::search_index_model::search_index_model | ( | search_index_model && | other | ) |

noexcept

Move constructs a search_index_model.

## search_index_model() [4/4]

mongocxx::v_noabi::search_index_model::search_index_model | ( | search_index_model const & | other | ) |

Copy constructs a search_index_model.

## ~search_index_model()

mongocxx::v_noabi::search_index_model::~search_index_model | ( |  | ) |

Destroys a search_index_model.

## Member Function Documentation

## definition()

bsoncxx::v_noabi::document::view mongocxx::v_noabi::search_index_model::definition | ( |  | ) | const

Retrieves definition of a search_index_model.

## name()

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > mongocxx::v_noabi::search_index_model::name | ( |  | ) | const

Retrieves name of a search_index_model.

## operator v1::search_indexes::model()

mongocxx::v_noabi::search_index_model::operator v1::search_indexes::model | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## operator=() [1/2]

search_index_model & mongocxx::v_noabi::search_index_model::operator= | ( | search_index_model && | other | ) |

noexcept

Move assigns a search_index_model.

## operator=() [2/2]

search_index_model & mongocxx::v_noabi::search_index_model::operator= | ( | search_index_model const & | other | ) |

Copy assigns a search_index_model.

## type() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > mongocxx::v_noabi::search_index_model::type | ( |  | ) | const

Retrieves type of a search_index_model.

## type() [2/2]

search_index_model & mongocxx::v_noabi::search_index_model::type | ( | bsoncxx::v_noabi::string::view_or_value | type | ) |

Sets type of a search_index_model.

Parameters

  type | The type for this index. Can be either "search" or "vectorSearch".

Returns
  A reference to this object to facilitate method chaining.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/search_index_model.hpp